//===================================================================================
// Microsoft patterns & practices
// Composite Application Guidance for Windows Presentation Foundation
//===================================================================================
// Copyright (c) Microsoft Corporation.  All rights reserved.
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY
// OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT
// LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
// FITNESS FOR A PARTICULAR PURPOSE.
//===================================================================================
// The example companies, organizations, products, domain names,
// e-mail addresses, logos, people, places, and events depicted
// herein are fictitious.  No association with any real company,
// organization, product, domain name, email address, logo, person,
// places, or events is intended or should be inferred.
//===================================================================================
using System;
using System.Collections.Generic;

namespace ViewSwitchingNavigation.Email.Model
{
    public interface IEmailService
    {
        IAsyncResult BeginGetEmailDocuments(AsyncCallback callback, object userState);
        IEnumerable<EmailDocument> EndGetEmailDocuments(IAsyncResult result);

        IAsyncResult BeginSendEmailDocument(EmailDocument email, AsyncCallback callback, object userState);
        void EndSendEmailDocument(IAsyncResult result);

        EmailDocument GetEmailDocument(Guid id);
    }
}
